Package org.eclipse.jgit.api

## Class ListNotesCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<List<Note>>
  - - org.eclipse.jgit.api.ListNotesCommand

All Implemented Interfaces:
  `Callable<List<Note>>`

    public class ListNotesCommand
    extends GitCommand<List<Note>>

List object notes.

See Also:
  Git documentation about Notes

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
`protected` `ListNotesCommand​(Repository repo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Note>` `call()` Executes the command
`ListNotesCommand` `setNotesRef​(String notesRef)`

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListNotesCommand

    protected ListNotesCommand​(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### call

    public List<Note> call()
                    throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<List<Note>>`
Specified by:
  `call` in class `GitCommand<List<Note>>`
Returns:
  the requested notes
Throws:
  `GitAPIException` - or subclass thereof when an error occurs

#### setNotesRef

    public ListNotesCommand setNotesRef​(String notesRef)

Parameters:
  `notesRef` - the ref to read notes from. Note, the default value of `Constants.R_NOTES_COMMITS` will be used if nothing is set
Returns:
  `this`
See Also:
  `Constants.R_NOTES_COMMITS`